# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_Datum Class Reference

Representation of STEP entity Datum
.

`#include <StepDimTol_Datum.hxx>`

Inheritance diagram for StepDimTol_Datum:

[legend]

## Public Member Functions

Standard_EXPORT | StepDimTol_Datum ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aShapeAspect_Name, const Handle(TCollection_HAsciiString)&aShapeAspect_Description, const Handle(StepRepr_ProductDefinitionShape)&aShapeAspect_OfShape, const StepData_Logical aShapeAspect_ProductDefinitional, const Handle(TCollection_HAsciiString)&aIdentification)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Identification () const
| Returns field Identification .
Standard_EXPORT void | SetIdentification (const Handle(TCollection_HAsciiString)&Identification)
| Set field Identification .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theIdentification

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_Datum::StepDimTol_Datum | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepDimTol_Datum::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ShapeAspect.

Standard_EXPORT Handle_TCollection_HAsciiString StepDimTol_Datum::Identification | ( |  | ) | const

Standard_EXPORT void StepDimTol_Datum::Init | ( | const Handle(TCollection_HAsciiString)& | aShapeAspect_Name,
|  | const Handle(TCollection_HAsciiString)& | aShapeAspect_Description,
|  | const Handle(StepRepr_ProductDefinitionShape)& | aShapeAspect_OfShape,
|  | const StepData_Logical | aShapeAspect_ProductDefinitional,
|  | const Handle(TCollection_HAsciiString)& | aIdentification
| ) |

Standard_EXPORT void StepDimTol_Datum::SetIdentification | ( | const Handle(TCollection_HAsciiString)& | Identification | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepDimTol_Datum::theIdentification `[private]`

The documentation for this class was generated from the following file:

- StepDimTol_Datum.hxx